> ## Name

> cgSetPassState - calls the state setting callback functions for all state assignments in a pass

> ## Synopsis

>     #include <Cg/cg.h>

>     void cgSetPassState( CGpass pass );

> ## Parameters

> pass
>   The pass handle.

> ## Return Values

> None.

> ## Description

> cgSetPassState sets all of the graphics state defined in a pass by calling the state setting callbacks for all of the state assignments in the pass.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PASS_HANDLE_ERROR is generated if pass is not a valid pass.

> CG_INVALID_TECHNIQUE_ERROR is generated if the technique of which pass is a part has failed validation.

> ## History

> cgSetPassState was introduced in Cg 1.4.

> ## See Also

> cgResetPassState, cgCallStateSetCallback